Subject: Re: bug#11681: GNU Emacs 24.1.1 (i386-mingw-nt6.1.7601) Save bug

From: Eli Zaretskii <[email-masked]>
Date: Mon, 18 Jun 2012 19:18:19 +0300

> From: Olaf <[email-masked]>
> Date: Mon, 18 Jun 2012 11:48:36 +0200
> 
> >>> So you are saying that if you start Emacs by clicking the runemacs
> >>> icon, then you cannot save any files, whereas if you start Emacs by
> >>> running emacs.exe directly, the problem goes away, is that right?
> >>
> >> It seems to be only if I start the emacs starts by modelsim.
> > 
> > What is "modelsim"?  And how did you set up modelsim, whatever it is,
> > to invoke Emacs?
> 
> Modelsim is a simulation program (www.model.com)
> 
> Mmmh, how did I setup - good question. I did not found any settings here
> to set up ann external editor. I assume it's started by registry
> settings. Do you know the key?

??? You mean, modelsim detected automatically that Emacs is installed
and automatically adapted itself to invoke Emacs as its editor?  I'd
be surprised.

The registry keys set by Emacs are these:

 "SOFTWARE\GNU\Emacs"
 "SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\emacs.exe"
 "SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\runemacs.exe"

> > And if you invoke Emacs manually with the +1 switch as ProcExp shows,
> > can you then reproduce the problem?
> 
> No, it works even with the command line argument +1 correct.

That probably means that the problem is in how modelsim invokes Emacs.
I know nothing about modelsim; any chance you could ask its
maintainers about this problem?